Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisOperandDefinition_ Struct Reference

Defines the ZydisOperandDefinition struct. More...

`#include <SharedData.h>`

## Public Member Functions
ZyanU8 type | ZYAN_BITFIELD (ZYDIS_SEMANTIC_OPTYPE_REQUIRED_BITS)
ZyanU8 visibility | ZYAN_BITFIELD (ZYDIS_OPERAND_VISIBILITY_REQUIRED_BITS)
ZyanU8 actions | ZYAN_BITFIELD (ZYDIS_OPERAND_ACTION_REQUIRED_BITS)
ZyanU8 element_type | ZYAN_BITFIELD (ZYDIS_IELEMENT_TYPE_REQUIRED_BITS)
ZyanBool is_multisource4 | ZYAN_BITFIELD (1)
ZyanBool ignore_seg_override | ZYAN_BITFIELD (1)

## Data Fields
ZyanU16 | size [3]
union { |
struct { |
union { |
} reg
} reg
struct { |
} mem
} | op

## Detailed Description

Defines the ZydisOperandDefinition struct.

## Member Function Documentation

## ◆ ZYAN_BITFIELD() [1/6]

ZyanBool is_multisource4 ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [2/6]

ZyanBool ignore_seg_override ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [3/6]

ZyanU8 element_type ZYAN_BITFIELD | ( | ZYDIS_IELEMENT_TYPE_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [4/6]

ZyanU8 actions ZYAN_BITFIELD | ( | ZYDIS_OPERAND_ACTION_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [5/6]

ZyanU8 visibility ZYAN_BITFIELD | ( | ZYDIS_OPERAND_VISIBILITY_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [6/6]

ZyanU8 type ZYAN_BITFIELD | ( | ZYDIS_SEMANTIC_OPTYPE_REQUIRED_BITS |  | ) |

## Field Documentation

## ◆ [struct]

struct { ... } mem

## ◆ [union]

union { ... } op

## ◆ [union] [1/2]

union { ... } reg

## ◆ [struct] [2/2]

struct { ... } reg

## ◆ size

ZyanU16 size[3]

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/SharedData.h